Package org.apache.torque.generator.configuration.option

## Class OptionsSaxHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.apache.torque.generator.configuration.option.OptionsSaxHandler

- All Implemented Interfaces:
    `ContentHandler`, `DTDHandler`, `EntityResolver`, `ErrorHandler`
  Direct Known Subclasses:
    `FileOptionsSaxHandler`

      public class OptionsSaxHandler
      extends DefaultHandler

  A SAX handler for reading the options tag in the control configuration. $Id: OptionsSaxHandler.java 1331190 2012-04-27 02:41:35Z tfischer $

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OptionsSaxHandler​(OptionsConfiguration optionsConfiguration)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `OptionsConfiguration` | `getOptionsConfiguration()` | Returns the options configuration read by this SAX handler.
    `boolean` | `isFinished()` | Returns whether the SAX handler has finished reading the options configuration.

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OptionsSaxHandler

          public OptionsSaxHandler​(OptionsConfiguration optionsConfiguration)

      Constructor.
      Parameters:
        `optionsConfiguration` - the OptionsConfiguration to be filled, not null.

  - ### Method Detail

    - #### getOptionsConfiguration

          public OptionsConfiguration getOptionsConfiguration()

      Returns the options configuration read by this SAX handler.
      Returns:
        the options configuration, not null.
      Throws:
        `IllegalStateException` - if the SAX handler has not yet finished reading the configuration.

    - #### isFinished

          public boolean isFinished()

      Returns whether the SAX handler has finished reading the options configuration.
      Returns:
        true if whether the SAX handler has finished, false otherwise.